{
  "name": "nano-proxy-ui",
  "private": true,
  "version": "0.0.0",
  "type": "module",
  "scripts": {
    "dev": "vite",
    "build": "tsc && vite build",
    "lint": "eslint src --ext ts,tsx --report-unused-disable-directives --max-warnings 0",
    "preview": "vite preview",
    "watch": "vite build --watch"
  },
  "dependencies": {
    "@emotion/react": "^11.11.1",
    "@emotion/styled": "^11.11.0",
    "@fontsource/noto-sans": "^5.0.5",
    "@mui/icons-material": "^5.14.0",
    "@mui/material": "^5.14.0",
    "@protobuf-ts/grpcweb-transport": "^2.9.0",
    "comlink": "^4.4.1",
    "fontfaceobserver": "^2.3.0",
    "jsuri": "^1.3.1",
    "localforage": "^1.10.0",
    "react": "^18.2.0",
    "react-dom": "^18.2.0",
    "react-router-dom": "^6.14.1",
    "tslog": "^4.8.2",
    "tweetnacl-ts": "^1.0.3",
    "tweetnacl-util": "^0.15.1",
    "uuid": "^9.0.0"
  },
  "devDependencies": {
    "@protobuf-ts/runtime": "^2.9.0",
    "@protobuf-ts/runtime-rpc": "^2.9.0",
    "@rollup/plugin-alias": "^5.0.0",
    "@types/fontfaceobserver": "^2.1.0",
    "@types/jsuri": "^1.3.31",
    "@types/node": "^20.4.2",
    "@types/react": "^18.2.14",
    "@types/react-dom": "^18.2.6",
    "@types/uuid": "^9.0.2",
    "@typescript-eslint/eslint-plugin": "^5.61.0",
    "@typescript-eslint/parser": "^5.61.0",
    "@vitejs/plugin-react-swc": "^3.3.2",
    "autoprefixer": "^10.4.14",
    "cssnano": "^6.0.1",
    "eslint": "^8.44.0",
    "eslint-plugin-react-hooks": "^4.6.0",
    "eslint-plugin-react-refresh": "^0.4.1",
    "pathe": "^1.1.1",
    "postcss": "^8.4.26",
    "sass": "^1.63.6",
    "tailwindcss": "^3.3.3",
    "typescript": "^5.0.2",
    "vite": "^4.4.4",
    "vite-plugin-minify": "^1.5.2"
  }
}
